SolrInputDocument::getFieldCount
SolrInputDocument::merge
SolrInputDocument
PHP Manual

# SolrInputDocument::getFieldNames

Returns an array containing all the fields in the document

### Description

public array SolrInputDocument::getFieldNames ( void )

Returns an array containing all the fields in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `FALSE` on failure.